Subject: bug#20628: 25.0.50; Incorrect line height for some fonts

From: Oleh Krehel <[email-masked]>
Date: Sat, 30 May 2015 15:00:52 +0200

Eli Zaretskii <[email-masked]> writes:

> Do you still see the problem with the current branch head?  If I just
> turn on prettify-symbols-mode (the one included in the Emacs
> repository) in *scratch*, I see no problems with the current branch
> head.

I still see the problem with the current branch head. Here are my settings:

(font-lock-add-keywords
 'emacs-lisp-mode
 `((,"\\\\\\\\|"
    (0 font-lock-keyword-face t)
    (0
     (prog1
         (compose-region
          (match-beginning 0)
          (match-end 0)
          ,"∨")
       nil)))))

Also, while the mode line became normal height, the echo area became x7
height instead. The buffer menu is fine.